# class Psych::Nodes::Alias

This class represents a YAML Alias. It points to an `anchor`.

A Psych::Nodes::Alias is a terminal node and may have no children.

### Attributes

anchor[RW]

The anchor this alias links to

### Public Class Methods

new(anchor) click to toggle source

Create a new Alias that points to an `anchor`

    # File lib/psych/nodes/alias.rb, line 14
    def initialize anchor
      @anchor = anchor
    end